/* File: ACP3_Viewer.java
 * Contains: The main program for bin/acp3-viewer
 * Author: Jeff Dalton <J.Dalton@ed.ac.uk>
 * Created: January 1998
 * Updated: Mon Aug  3 00:55:31 1998 by Jeff Dalton
 * Copyright: (c) 1998, AIAI, University of Edinburgh
 */


package ix.acp3;


/** The ACP3 application viewer-only main program. */

public class ACP3_Viewer extends ACP3 {

    public static void main(String[] argv) {

	printGreeting("ACP3 Viewer");

	processCommandLineArguments(argv);

	// Create an object to represent the ACP3 application
	agent = new ACP3_Viewer();

	// Create a viewer
	viewer = new MainFrame();

	// Create a process model that sits between the watcher and the viewer
	model = new ProcessModel();
	model.setViewer(viewer);
	model.initFromFile("ProcessModels/acp3-process.lsp");
	viewer.setProcessModel(model);

	// Create a Kqml watcher is case we run a test simulation.
	// The watcher will not create a Kqml agent or listen for
	// actual Kqml messages.
	watcher = new KqmlWatcher(model);
	// So here's what we dont't do:
	//   watcher.init();
	//   watcher.watcherMainLoop();

	// Start displaying the monitoring results
	model.sendFullStateDescription();

    }

}
