/* File: LogoCanvas.java
 * Contains: IP2 main viewer frame's logo area
 * Author: Austin Tate <a.tate@ed.ac.uk>
 * Created: Wed Jan  7 15:14:27 1998
 * Updated: Fri Jun 16 17:26:26 2000 by Jeff Dalton
 * Copyright: (c) 1998, 2000, AIAI, University of Edinburgh
 */

package ix.ip2.coax;

import java.awt.*;
import java.awt.image.*;
import java.net.*;
import java.util.*;

import ix.util.Debug;

class LogoCanvas extends Canvas {
 
   private int canvasWidth;
   private int canvasHeight;
   private Dimension myDimension;
   private Image logo;   
   private Image offsc;
   private Graphics osg;
      
   LogoCanvas(int x, int y, Image logo) {
      super();
      canvasWidth=x;
      canvasHeight=y;
      myDimension=new Dimension(x,y);
      this.logo=logo;
   }
 
   public Dimension minimumSize() {
          return myDimension;
   }
 
   public Dimension preferredSize() {
          return myDimension;
   }
 
   public void update (Graphics g) {
       Debug.noteln("LogoCanvas update called");
       paint(g);
   }
   
   public void paint(Graphics g) {
       if (offsc == null) {
	   offsc = createImage(canvasWidth, canvasHeight);
	   osg=offsc.getGraphics();
	   // once and for all setup of logo, etc into off screen image
	   // image is definitiely available - so size known
	   osg.setColor(Color.gray);
           osg.drawLine(10, 5, (this.getSize().width) - 10, 5);
           osg.setFont(new Font("SansSerif", Font.BOLD, 32));
           osg.drawString("I-P", 20, 32+5);
           osg.setFont(new Font("SansSerif", Font.BOLD, 16));
           osg.drawString("2", 82, 20);
           osg.setFont(new Font("SansSerif", Font.PLAIN, 10));
           osg.drawString("I-X Process Panel", 110, 22);
           osg.drawString("Based on I-X Technology", 110, 36);
           osg.drawImage(logo,
                         (this.getSize().width) - (logo.getWidth(this) + 20),
                         10, this);
       }
       g.drawImage(offsc, 0, 0, this);
   }

}
