/* File: LispIO.java
 * Contains: Main program for testing Lisp I/O.
 * Author: Jeff Dalton <J.Dalton@ed.ac.uk>
 * Created: January 1998
 * Updated: Fri Jan 23 19:56:26 1998 by Jeff Dalton
 * Copyright: (c) 1998, AIAI, University of Edinburgh
 */

package ix.test;

import java.util.*;
import ix.util.*;
import ix.util.lisp.*;


/** A class for testing */

class LispIO {

    static final Object BYE = Symbol.intern("bye");

    public static void main(String[] argv) {

	LispReader lin = new LispReader(System.in);
	Object input;

	System.out.println("Type \"bye\" to exit.\n");
	for (;;) {
	    input = ask(lin, "How about:");
	    if (input == BYE)
		break;
	    else
		System.out.println("A " + input.getClass()
				   + ": " + Lisp.printToString(input));
	}
	System.out.println("Bye!\n");


    }

    static Object ask(LispReader lin, String prompt) {
	System.out.print(prompt + " ");
	System.out.flush();
	return lin.readObject();
    }

}
